Skip to main content
GET
List available payment methods and their capabilities/limits

Headers

Authorization
string
required

Secret API key. Format: Api-Key sk_live_...

Example:

"Api-Key <secret>"

Query Parameters

currencyCode
string
required

ISO-4217 currency code (e.g., USD, EUR).

Example:

"USD"

countryCode
string
required

ISO3 country code of residence (e.g., USA, GBR, PRT). Used to determine region when provided.

Example:

"USA"

stateOfResidence
string

State of residence (ISO2). Required when countryCodeOfResidence = US.

Example:

"NY"

transactionType
enum<string>
required

Transaction type.

Available options:
buy,
sell

Response

Array of available payment methods and their status for the requested region.

type
string
required

Transaction payment method type.

Example:

"credit_debit_card"

displayName
string
required
Example:

"Credit and Debit Card"

iconUrl
string<uri> | null
required
Example:

"https://static.moonpay.com/widget/payment_methods/CardGeneric.svg"

availability
object
required
capabilities
object
required
limits
object
required
scheduledMaintenances
object[]
required